summaryrefslogtreecommitdiff
path: root/dev-php/PEAR-Console_CommandLine
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-php/PEAR-Console_CommandLine
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-php/PEAR-Console_CommandLine')
-rw-r--r--dev-php/PEAR-Console_CommandLine/Manifest1
-rw-r--r--dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.6.ebuild56
-rw-r--r--dev-php/PEAR-Console_CommandLine/metadata.xml9
3 files changed, 66 insertions, 0 deletions
diff --git a/dev-php/PEAR-Console_CommandLine/Manifest b/dev-php/PEAR-Console_CommandLine/Manifest
new file mode 100644
index 000000000000..055772d25b61
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/Manifest
@@ -0,0 +1 @@
+DIST Console_CommandLine-1.2.6.tgz 36389 BLAKE2B a2ad049324653d9e2dc5b438619dec5caed3cba1703395da0838ec521c08b37bdc693aa79ed87e2cc4e3e2382c7ebcaa340da34716eeb3700c4242cf5c05afdd SHA512 bd3a04915b6cc1dc07d2aad4c5714d7b3ed373c938bc945f0bd71d1686788d2be9cb9a3cdf5021f34a200b361d76a664921334d4e462e011502e37d0a8fbd891
diff --git a/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.6.ebuild b/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.6.ebuild
new file mode 100644
index 000000000000..4fd6c4253bee
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.6.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/PEAR-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A full-featured command-line options and arguments parser"
+HOMEPAGE="https://pear.php.net/package/Console_CommandLine"
+SRC_URI="https://github.com/pear/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${MY_P}.tgz"
+S="${WORKDIR}/${MY_P}"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm ~hppa ppc64 ~sparc x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-lang/php:*
+ dev-php/PEAR-Exception"
+
+# Beware, the test suite really needs PEAR-PEAR.
+BDEPEND="test? ( ${RDEPEND} dev-php/PEAR-PEAR )"
+
+src_prepare() {
+ # There's one occurrence of @data_dir@ that needs to be replaced
+ # This location just has to agree with where we put the "data"
+ # directory during src_install().
+ default
+ sed -i "s|@data_dir@|${EPREFIX}/usr/share|" \
+ Console/CommandLine/XmlParser.php || die
+
+ # These two fail, but only due to the ordering of the associative
+ # arrays in the expected output. Github issue tracking is disabled
+ # but the current maintainer of the repo has been emailed about it.
+ rm tests/console_commandline_{addargument,addoption}.phpt || die
+}
+
+src_install() {
+ use examples && dodoc -r docs/examples
+
+ insinto "/usr/share/${MY_PN}"
+ doins -r data
+
+ insinto /usr/share/php
+ doins -r Console
+}
+
+src_test() {
+ # Requires the "pear" executable from dev-php/PEAR-PEAR.
+ pear run-tests tests || die
+
+ # The command succeeds regardless of whether or not the test suite
+ # passed, but this file is only written when there was a failure.
+ [[ -f run-tests.log ]] && die "test suite failed"
+}
diff --git a/dev-php/PEAR-Console_CommandLine/metadata.xml b/dev-php/PEAR-Console_CommandLine/metadata.xml
new file mode 100644
index 000000000000..7ee69925d9aa
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>php-bugs@gentoo.org</email>
+ <name>PHP</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>